Bug 121410 - PARAGRAPH DIALOG: Give possibility to change value of a tab
Summary: PARAGRAPH DIALOG: Give possibility to change value of a tab
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.7.2 release
Hardware: x86-64 (AMD64) All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paragraph-Dialog
  Show dependency treegraph
 
Reported: 2018-11-14 09:30 UTC by surbun
Modified: 2018-12-24 04:52 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample file for testing purposes (7.84 KB, application/vnd.oasis.opendocument.text)
2018-11-14 16:00 UTC, surbun
Details
Sample file for this version (7.79 KB, application/vnd.oasis.opendocument.text)
2018-12-22 05:15 UTC, surbun
Details

Note You need to log in before you can comment on or make changes to this bug.
Description surbun 2018-11-14 09:30:10 UTC
Description:
When tab (left, centrered or right) is created and on trying to modify, the last tab created is entrered and cannot be modify and new tab can't neither be created

Steps to Reproduce:
1. Open a writer file
2. Put some tab stops by clicking on the top ruler
3. Double click on any of the created tab to open the pop-up so as to have the tabulation menu list
4. Try to modify any existing tab value or even erase the value or enter a new value

Actual Results:
No way to erase, modify or add tab value

Expected Results:
able to modify, add or erase tab value


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Unable modification, erasion and addition of tab value
Comment 1 surbun 2018-11-14 09:32:30 UTC
DEBIAN9 - Gnome 3.26 - LibO 6.2 Alpha+ Build ID: 85dba18a3d3644a4ac49bd32ea106a4d69159fb4
Comment 2 Xisco Faulí 2018-11-14 10:06:20 UTC
Thank you for reporting the bug. Please attach a sample document, as this makes it easier for us to verify the bug. 
(Please note that the attachment will be public, remove any sensitive information before attaching it. 
See https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help on how to do so.)

I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided.
Comment 3 surbun 2018-11-14 16:00:36 UTC
Created attachment 146620 [details]
Sample file for testing purposes

Hello,

As requested, here a sample file for test.
By the way, I tried to put some tap values by accessing the "Paragraph" -> "Tabulation" without having done as described formerly. I get the same result -> unable to enter any number.

Hope that will help
SB
Comment 4 Dieter Praas 2018-11-14 20:52:40 UTC
I'm able to create a new tab, but it is not possible to change the value of an existing tab (you have to delete it). But I think this is the intended behaviour.

Version: 6.2.0.0.alpha1+ (x64)
Build ID: 8274c4c62df5b937b3f0bec9e1eeca85f3b219d4
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-10-22_01:47:50
Locale: en-US (de_DE); Calc: CL
Comment 5 surbun 2018-11-19 11:55:13 UTC
Hello,

Same bug in this version

Version: 6.3.0.0.alpha0+
Build ID: 8a02a1d329c43df6de383a7b0cf8ac14247b18c9
Branch:master, Time: 2018-11-17_20:48:16

Hope that can help
Comment 6 Lars Jødal 2018-11-21 07:59:51 UTC
(In reply to Dieter Praas from comment #4)
> I'm able to create a new tab, but it is not possible to change the value of
> an existing tab (you have to delete it). But I think this is the intended
> behaviour.
> 
> Version: 6.2.0.0.alpha1+ (x64)
> Build ID: 8274c4c62df5b937b3f0bec9e1eeca85f3b219d4
> CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
> TinderBox: Win-x86_64@42, Branch:master, Time: 2018-10-22_01:47:50
> Locale: en-US (de_DE); Calc: CL

I agree: A new tab can be created, and an existing tab can be deleted. So the way to change an existing tab is to insert a new one and delete the existing. That does not seem like a bug to me.

It is fair enough to want the ability to edit an existing tab position directly, but if I understand things correctly, that would be an request for enhancement, not a bug.

Tested in 6.2.0.0.alpha1, 6.2.0.0.beta1, and present fresh version, 6.1.3.2, in all cases with similar results.
Comment 7 Dieter Praas 2018-11-21 10:40:46 UTC
(In reply to Lars Jødal from comment #6)
> It is fair enough to want the ability to edit an existing tab position
> directly, but if I understand things correctly, that would be an request for
> enhancement, not a bug.

Changed to NEW and ENHANCEMENT

also found in 4.4.7.2
Comment 8 surbun 2018-12-22 05:15:23 UTC
Created attachment 147774 [details]
Sample file for this version

Hello,

Just installed the 6.2 RC1 version and noticed that the bug is still there.
As for me, this is a quite annoying bug since there no way to get the tabs configured.

Hope that it will be patched before the final release.

BS
Comment 9 Dieter Praas 2018-12-22 05:46:15 UTC
(In reply to surbun from comment #8)
> Hope that it will be patched before the final release.

Since there are several thousand open bugs, there is a very low chance I think, that this bug will be fixed very soon. But new developers are always welcome.
Comment 10 surbun 2018-12-24 04:52:49 UTC
(In reply to Dieter Praas from comment #9)
> (In reply to surbun from comment #8)
> > Hope that it will be patched before the final release.
> 
> Since there are several thousand open bugs, there is a very low chance I
> think, that this bug will be fixed very soon. But new developers are always
> welcome.

Thanks for your kind reply.

Even that this bug is quite very bad and annoying for me, I'll wait for the patch to get it fixed.

Although that I have a good experience in programming, I don't feel myself enough skillful to help as developer. I'll always try to help with testing and report any bug found.

BS